package com.example.layoutproject;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class LinearLayoutActivity extends Activity implements OnClickListener{
	private final String TAG		= "LinearLayoutActivity";
	
	private Button btnGoToRelative	= null;
	private Button btnGoToTable		= null;
	private Button btnGoToListView	= null;
	private Button btnGoToGrid		= null;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.linear_layout_activity);
		
		btnGoToRelative	= (Button)findViewById(R.id.idRelative);
		btnGoToRelative.setOnClickListener(this);
		
		btnGoToTable		= (Button)findViewById(R.id.idTable);
		btnGoToTable.setOnClickListener(this);
		
		btnGoToListView		= (Button)findViewById(R.id.idList);
		btnGoToListView.setOnClickListener(this);
		
		btnGoToGrid		= (Button)findViewById(R.id.idGrid);
		btnGoToGrid.setOnClickListener(this);
	}

	@Override
	public void onClick(View v) {
		Intent intent = null;
		if (v == btnGoToRelative){
			Log.d(TAG,"Button RelativeLayout pressed");
			intent = new Intent(LinearLayoutActivity.this, RelativeLayoutActivity.class);
			startActivity(intent);
		}else if (v == btnGoToTable){
			Log.d(TAG,"Button TableLayout pressed");
			intent = new Intent(LinearLayoutActivity.this, TableLayoutActivity.class);
			startActivity(intent);
		}else if (v == btnGoToListView){
			Log.d(TAG,"Button ListView pressed");
			intent = new Intent(LinearLayoutActivity.this, ListViewArrayAdapterActivity.class);
			startActivity(intent);
		}else if (v == btnGoToGrid){
			Log.d(TAG,"Button GridLayout pressed");
			intent = new Intent(LinearLayoutActivity.this, GridViewActivity.class);
			startActivity(intent);
		}
	}
}
