package com.example.layoutproject.adapter;

import com.example.layoutproject.R;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class CustomAdapter extends BaseAdapter {
	private LayoutInflater inflater		= null;
	private String[] items				= null;
	
	static class ViewValues {
		TextView value;
	}
	
	public CustomAdapter(Context context){
		inflater 	= LayoutInflater.from(context);
		items		= new String[]{"Gennaio","Febbraio","Marzo","Aprile","Maggio","Giugno",
								"Luglio","Agosto","Settembre", "Ottobre", "Novembre", "Dicembre"};
	}
	
	@Override
	public int getCount() {
		return items.length;
	}

	@Override
	public Object getItem(int position) {
		return items[position];
	}

	@Override
	public long getItemId(int position) {
		return 0;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		ViewValues values = null;
		
		if (convertView == null) {
			values = new ViewValues();
			convertView = inflater.inflate(R.layout.text_item_list_custom, null);
			values.value 		= (TextView)convertView.findViewById(R.id.idText);
			
			convertView.setTag(values);
		}
		else {
			values = (ViewValues) convertView.getTag();
		}
		
		values.value.setText( (String)items[position]);
		
		return convertView;
	}

	
}
