package com.example.layoutproject.adapter;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;

import com.example.layoutproject.R;

public class CustomGridAdapter extends BaseAdapter {

	private Context context	= null;
	
    private Integer[] imgIds = {
            R.drawable.img0, R.drawable.img1,
            R.drawable.img2, R.drawable.img3,
            R.drawable.img4, R.drawable.img5,
            R.drawable.img6, R.drawable.img7,
            R.drawable.img8, R.drawable.img9
    };

    public CustomGridAdapter(Context context){
    	this.context = context;
    }
    
	@Override
	public int getCount() {
		return imgIds.length;
	}

	@Override
	public Object getItem(int position) {
		return imgIds[position];
	}

	@Override
	public long getItemId(int position) {
	
		return 0;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		ImageView imageView;
        if (convertView == null) {  // if it's not recycled, initialize some attributes
            imageView = new ImageView(context);
            imageView.setLayoutParams(new GridView.LayoutParams(85, 85));
            imageView.setScaleType(ImageView.ScaleType.CENTER_CROP);
            imageView.setPadding(8, 8, 8, 8);
        } else {
            imageView = (ImageView) convertView;
        }

        imageView.setImageResource(imgIds[position]);
        return imageView;

	}

}
